<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Name: Medicatievoorschriftenlijstquery
Description: Opvragen voorschriften lijst
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.7-2013-05-21T000000">
   <title>Medicatievoorschriftenlijstquery</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Context: /
Item: (MedicationCombinedOrderListQuery)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Context: /hl7:QURX_IN990101NL
Item: (MedicationCombinedOrderListQuery)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Context: /hl7:QURX_IN990101NL/hl7:ControlActProcess
Item: (MedicationCombinedOrderListQuery)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Context: /hl7:QURX_IN990101NL/hl7:ControlActProcess/hl7:queryByParameter
Item: (MedicationCombinedOrderListQuery)
-->

<rule context="/hl7:QURX_IN990101NL/hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-r-ae955051-98c0-4849-a3f4-ef9235f26104">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.7-2013-05-21T000000.html"
              test="count(hl7:patientID)&gt;=1 and not(hl7:patientID/@nullFlavor)">(MedicationCombinedOrderListQuery): element hl7:patientID is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.7-2013-05-21T000000.html"
              test="count(hl7:patientID)&lt;=1">(MedicationCombinedOrderListQuery): element hl7:patientID komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Context: /hl7:QURX_IN990101NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID
Item: (MedicationCombinedOrderListQuery)
-->

<rule context="/hl7:QURX_IN990101NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID"
         id="tmp-r-c6eec64b-e4cc-4680-9fa4-3693ef5aac62">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.7-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationCombinedOrderListQuery): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.7-2013-05-21T000000.html"
              test="count(hl7:value)&lt;=1">(MedicationCombinedOrderListQuery): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.7-2013-05-21T000000.html"
              test="count(hl7:semanticsText)=0">(MedicationCombinedOrderListQuery): element hl7:semanticsText MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Context: /hl7:QURX_IN990101NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value
Item: (MedicationCombinedOrderListQuery)
-->

<rule context="/hl7:QURX_IN990101NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value"
         id="tmp-r-f3b4310b-94b1-4de4-b190-57b58b45a9a1">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.7-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCombinedOrderListQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.7
Context: /hl7:QURX_IN990101NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:semanticsText
Item: (MedicationCombinedOrderListQuery)
-->
</pattern>
